function IDF_Plot2(X, YMatrix)
%CREATEFIGURE(X1, YMATRIX1)
%  X:  vector of x data
%  YMATRIX:  matrix of y data


% Create figure
figure1 = figure('Color',[1 1 1]);

% Create axes
axes1 = axes('Parent',figure1,'XTickLabel',{'0','1','2','6','12','24'},...
    'XTick',[0 1 2 6 12 24],...
    'XGrid','on',...
    'FontName','Times New Roman');
box(axes1,'on');
hold(axes1,'all');

% Create multiple lines using matrix input to plot
plot1 = plot(X,YMatrix,'Parent',axes1);
set(plot1(1),'DisplayName','5 years');
set(plot1(2),'DisplayName','10 years');
set(plot1(3),'DisplayName','20 years');
set(plot1(4),'DisplayName','30 years');
set(plot1(5),'DisplayName','40 years');
set(plot1(6),'DisplayName','50 years');
set(plot1(7),'DisplayName','60 years');
set(plot1(8),'DisplayName','75 years');
set(plot1(9),'LineWidth',1,'DisplayName','100 years');

% Create title
title('IDF Curve','FontWeight','bold','FontSize',12,...
    'FontName','Times New Roman');

% Create xlabel
xlabel({'Duration','(hours)'},'FontSize',11,'FontName','Times New Roman');

% Create ylabel
ylabel({'Rainfall Intensity','(mm/hr)'},'FontSize',11,...
    'FontName','Times New Roman');

% Create legend
legend1 = legend(axes1,'show');
set(legend1,...
    'Position',[0.752729990239141 0.594671201814058 0.0827232796486091 0.293650793650794]);

