%%  Function to Smooth IDF Curves 
%%  [Duration_smoothed,IDF_smoothed] = smoothIDF(Duration,IDF) 

% The type of interpolation is:

% 'pchip' - same as cubic.
% 'cubic' - creates smooth data points for a smooth line (best results)

%% Spline

function varargout = smoothIDF(varargin)

smooth = 100; % It is possible to define the number of points for the interpolation

if nargin >= 2
    x = varargin{1};
    y = varargin{2};
end
if nargin >= 3
    smooth = varargin{3};
end
xInterp = x(1):(x(2)-x(1))/smooth:x(end); 
yInterp = interp1(x,y,xInterp,'pchip');

varargout{1} = xInterp;
varargout{2} = yInterp;

%% Adapted from Andrew Hastings. Available at: http://www.mathworks.com/matlabcentral/fileexchange/9369-smoothline
